Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.path
Class Test

    java.lang.Object
      org.basex.query.xquery.path.Test

    public final class Test

extends java.lang.Object

XQuery Node Tests.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`byte[]` | `ln` Local name.
`QNm` | `name` Name test.
`static Test` | `NODE` Static node test.
`Type` | `type` Node test.
`boolean` | `wild` Wildcard flag.
`static byte[]` | `WILD` Static node test.

Constructor Summary
`Test()` Empty Constructor ("*" test).
`Test(QNm n, boolean w, XQContext ctx)` Constructor.
`Test(Type t)` Constructor.
`Test(Type t, byte[] ext, XQContext ctx)` Constructor.

Method Summary
`boolean` | `e(Node tmp, XQContext ctx)` Tests the specified node.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ln

    public byte[] ln

  Local name.

### name

    public QNm name

  Name test.

### NODE

    public static final Test NODE

  Static node test.

### type

    public Type type

  Node test.

### wild

    public boolean wild

  Wildcard flag.

### WILD

    public static final byte[] WILD

  Static node test.

Constructor Detail

### Test

    public Test()

  Empty Constructor ("*" test).

### Test

    public Test(QNm n,
                boolean w,
                XQContext ctx)
         throws XQException

  Constructor.

  Parameters:
    `n` - name
    `ctx` - xquery context
    `w` - wildcard flag
  Throws:
    `XQException` - evaluation exception

### Test

    public Test(Type t)

  Constructor.

  Parameters:
    `t` - node type

### Test

    public Test(Type t,
                byte[] ext,
                XQContext ctx)
         throws XQException

  Constructor.

  Parameters:
    `t` - node type
    `ext` - type extension
    `ctx` - xquery context
  Throws:
    `XQException` - evaluation exception

Method Detail

### e

    public boolean e(Node tmp,
                     XQContext ctx)

  Tests the specified node.

  Parameters:
    `tmp` - temporary node
    `ctx` - xquery context
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD